FairMQPollerSHM Class Referencefinal
Inheritance diagram for FairMQPollerSHM:
[legend]
Collaboration diagram for FairMQPollerSHM:
[legend]

## Public Member Functions

| FairMQPollerSHM (const std::vector< FairMQChannel > &channels)
| FairMQPollerSHM (const std::vector< FairMQChannel *> &channels)
| FairMQPollerSHM (const std::unordered_map< std::string, std::vector< FairMQChannel >> &channelsMap, const std::vector< std::string > &channelList)
| FairMQPollerSHM (const FairMQPollerSHM &)=delete
FairMQPollerSHM | operator= (const FairMQPollerSHM &)=delete
void | SetItemEvents (zmq_pollitem_t &item, const int type)
void | Poll (const int timeout) override
bool | CheckInput (const int index) override
bool | CheckOutput (const int index) override
bool | CheckInput (const std::string &channelKey, const int index) override
bool | CheckOutput (const std::string &channelKey, const int index) override

## Friends

class | FairMQChannel
class | FairMQTransportFactorySHM

The documentation for this class was generated from the following files:

- fairmq/shmem/FairMQPollerSHM.h
- fairmq/shmem/FairMQPollerSHM.cxx

privacy